> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readyhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Packet to VMS



## OpenAPI

````yaml POST /vms/upload-packet
openapi: 3.0.1
info:
  title: Ready Health API
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.readyhealth.com
security:
  - ApiKeyAuth: []
paths:
  /vms/upload-packet:
    post:
      summary: >-
        Upload a compiled packet to the VMS. A packet may be one or more
        documents.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UploadPacketRequest'
      responses:
        '202':
          description: Task accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadPacketResponse'
components:
  schemas:
    UploadPacketRequest:
      type: object
      required:
        - packet_id
      properties:
        packet_id:
          type: string
          format: uuid
          description: Packet ID from `GET /placement/{id}` (`packets[].id`).
    UploadPacketResponse:
      type: object
      properties:
        status:
          type: string
        taskId:
          type: string
          format: uuid
        packetId:
          type: string
          format: uuid
        packetGroup:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````